gnutls_priority_ecc_curve_list(3)

NAME
gnutls_priority_ecc_curve_list - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_priority_ecc_curve_list(gnutls_priority_t pcache, const unsigned int ** list);

ARGUMENTS

gnutls_priority_t pcache
    is a gnutls_priority_t type.

const unsigned int ** list
    will point to an integer list

DESCRIPTION
Get a list of available elliptic curves in the priority structure.

DEPRECATED
This function has been replaced by gnutls_priority_group_list() since 3.6.0.

RETURNS
the number of items, or an error code.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/